Package com.avaya.clientservices.messaging.enums

## Enum ParticipantType

- java.lang.Object
- - java.lang.Enum<ParticipantType>
  - - com.avaya.clientservices.messaging.enums.ParticipantType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ParticipantType>`

      public enum ParticipantType
      extends java.lang.Enum<ParticipantType>

  Represents the participant type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONTACT` | Contact participant type.
    `DISTRIBUTION_LIST` | DistributionList participant type.
    `EXTERNAL` | External participant type.
    `SYSTEM_ADMIN` | SystemAdmin participant type.
    `TEAM` | Team participant type.
    `TOPIC` | Topic participant type.
    `UNDEFINED` | Undefined participant type.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ParticipantType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ParticipantType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final ParticipantType UNDEFINED

      Undefined participant type.

    - #### CONTACT

          public static final ParticipantType CONTACT

      Contact participant type. This type is most common, used for users registered on messaging server.

    - #### EXTERNAL

          public static final ParticipantType EXTERNAL

      External participant type.

    - #### TOPIC

          public static final ParticipantType TOPIC

      Topic participant type.

    - #### TEAM

          public static final ParticipantType TEAM

      Team participant type.

    - #### DISTRIBUTION_LIST

          public static final ParticipantType DISTRIBUTION_LIST

      DistributionList participant type.

    - #### SYSTEM_ADMIN

          public static final ParticipantType SYSTEM_ADMIN

      SystemAdmin participant type.

  - ### Method Detail

    - #### values

          public static ParticipantType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ParticipantType c : ParticipantType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ParticipantType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null